LongCat Video · Image to Video · 720p
Unganisha
longcat-video/image-to-video/720p
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/longcat-video/image-to-video/720p?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/longcat-video/image-to-video/720p?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/longcat-video/image-to-video/720p", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/sw/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "longcat-video/image-to-video/720p",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Piga modeli ya LongCat Video · Image to Video · 720p (longcat-video/image-to-video/720p) kupitia Doitong API. Nyaraka za mawakala: https://doitong.com/sw/developers/models/longcat-video/image-to-video/720p.md
POST https://api.doitong.ru/v1/run/longcat-video/image-to-video/720p?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
Ikiwa hali ya jibu ni "queued" au "running", piga GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 mara kwa mara hadi iwe "succeeded"; faili ziko kwenye outputs[].url. POST https://api.doitong.ru/v1/quote/longcat-video/image-to-video/720p yenye mwili uleule hurejesha bei kamili kabla ya kuendesha.
Faili kama mfano: $ 0.216 salio za API 216 · ≈ ₽ 23.18 faili zako hupimwa kabla ya kuendesha Iendeshe kwenye ukurasa huu
Ufunguo wako mpya wa API. Inaonyeshwa sasa tu na tayari iko kwenye msimbo na katika sehemu ya ufunguo wa API hapa chini. Iweke siri: usiwahi kuiweka kwenye msimbo unaoendeshwa kwenye kivinjari.
Tokeo lako la kwanza linaonekana hapa
Unda ombi hapa chini na uliendeshe kwa ufunguo wako wa API. Matokeo yanakiliwa kwenye hifadhi yetu, yakihifadhiwa milele au 7 siku bila malipo.
Unda ombi
Vidhibiti vinazalishwa kutoka kwenye schema ya modeli. Msimbo na bei husasishwa unapovibadilisha.
/run/longcat-video/image-to-video/720p?wait=20
makadirio → $ 0.216
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/longcat-video/image-to-video/720p?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/longcat-video/image-to-video/720p?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/longcat-video/image-to-video/720p", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "longcat-video/image-to-video/720p",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
Endesha ombi hili
Key yako inabaki kwenye kivinjari hiki: inatumwa kwa Doitong API pekee na kuhifadhiwa (localStorage) tu ukiweka tiki kwenye Kumbuka. Pata ufunguo wa API
Kuhusu LongCat Video · Image to Video · 720p
Huisha picha ya ingizo kuwa video ndefu, ikiwa na hatua ya pili ya uboreshaji inayodhibitiwa na `num_refine_inference_steps` (8 hadi 50). `num_frames` ni kutoka 17 hadi 961 (chaguomsingi 162), na kiwango cha fremu chaguomsingi ni 30. Pia inakubali kidokezo, kidokezo hasi na `guidance_scale` (1 hadi 10). Miundo ya tokeo inajumuisha mp4, webm, ProRes mov na GIF.
Vigezo
Tuma jina rasmi au jina asilia, si yote mawili. Majina rasmi
image_urlinahitajika
image
promptsi lazima
negative_promptsi lazima
num_framessi lazima
num_inference_stepssi lazima
num_refine_inference_stepssi lazima
guidance_scalesi lazima
fpssi lazima
seedsi lazima
enable_prompt_expansionsi lazima
enable_safety_checkersi lazima
video_output_typesi lazima
video_qualitysi lazima
video_write_modesi lazima
accelerationsi lazima
Vigezo vya faili vinakubali URL ya umma ya https://, data: URI ya hadi 10 MB, au file_url ya upakiaji. Faili
Tokeo
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "longcat-video/image-to-video/720p",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 216,
"usd": "0.216",
"charged": 216,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"prompt": "First-person view from the cockpit of a Formula 1 car. The driver's gloved hands firmly grip the intricate, carbon-fiber steering wheel adorned with numerous colorful buttons and a vibrant digital display showing race data. Beyond the windshield, a sun-drenched racetrack stretches ahead, lined with cheering spectators in the grandstands. Several rival cars are visible in the distance, creating a dynamic sense of competition. The sky above is a clear, brilliant blue, reflecting the exhilarating atmosphere of a high-speed race. high resolution 4k",
"seed": 42,
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Sehemu za tokeo
- prompt
- stringKidokezo kilichotumika kutengeneza tokeo.
- seed
- integerThamani ya seed inayotumika wakati wa uzalishaji.
- video
- object {url, content_type, file_name, file_size}Faili ya video iliyozalishwa.
Tofauti nyingine za LongCat Video
Miundo zaidi: Picha hadi Video
Kwa mawakala wa AI: ukurasa huu katika Markdown unapatikana kwenye https://doitong.com/sw/developers/models/longcat-video/image-to-video/720p.md. Modeli na miongozo yote: https://doitong.com/developers/llms.txt